; the cmd File.
;
; two parts: 1. command Definition and  2. state entry
; (state entry is after the commands Def section)
;
; 1. command Definition
; ---------------------
; note: the commands are case-sensitive, and so are the command names.
; the eight Directions are:
;   B, DB, D, DF, F, UF, U, UB     (all caps)
;   corresponding to back, Down-back, Down, DownforwarD, etc.
; the six buttons are:
;   a, B, c, x, y, z               (all lower case)
;   in Default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you Use a and b.
;   For 6 button characters, Use abc For kicks and xyz For punches.
;
; each [command] section Defines a command that you can Use For
; state entry, as well as in the cns File.
; the command section should look like:
;
;   [command]
;   name = some_name
;   command = the_command
;   time = time (optional -- Defaults to 15 if omitted)
;
; - some_name
;   a name to give that command. you'll Use this name to refer to
;   that command in the state entry, as well as the cns. it is case-
;   sensitive (qcb_a is not the same as qcb_a or qcb_a).
;
; - command
;   list of buttons or Directions, separated by commas.
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held Down
;          egs. command = /D       ;hold the Down Direction
;               command = /DB, a   ;hold Down-back while you press a
;   tilde (~) - to Detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release Down, press FwD, then a
;          if you want to Detect "charge moves", you can specify
;          the time the key must be held Down For (in game-ticks)
;          egs. command = ~30a     ;hold a For at least 30 ticks, then release
;   Dollar ($) - Direction-only: Detect as 4-way
;          egs. command = $D       ;will Detect if D, DB or DF is held
;               command = $B       ;will Detect if B, DB or UB is held
;   plus (+) - buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   you can combine them:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF For 30 ticks, release,
;                                  ;then press a and b together
;   it's recommended that For most "motion" commads, eg. quarter-circle-fwD,
;   you start off with a "release Direction". this matches the way most
;   popular Fighting games implement their command Detection.
;
; - time (optional)
;   time allowed to Do the commanD, given in game-ticks. Defaults to 15
;   if omitted
;
; if you have two or more commands with the same name, all of them will
; work. you can Use it to allow multiple motions For the same move.
;
; some common commands examples are given below.
;
; [command] ;quarter circle Forward + x
; name = "qcf_x"
; command = ~D, DF, F, x
;
; [command] ;half circle back + a
; name = "hcb_a"
; command = ~F, DF, D, DB, B, a
;
; [command] ;two quarter circles Forward + y
; name = "2qcf_y"
; command = ~D, DF, F, D, DF, F, y
;
; [command] ;tap b rapidly
; name = "5b"
; command = B, B, B, B, b
; time = 30
;
; [command] ;charge back, then Forward + z
; name = "charge_b_f_z"
; command = ~60$B, F, z
; time = 10
;
; [command] ;charge Down, then Up + c
; name = "charge_d_u_c"
; command = ~60$D, U, c
; time = 10
;

;-| ai activation commands |-----------------------------------------------
; From bbh
[command]
name = "cpu0"
command = U,U,D,D,B,F,B,F,s,s
time = 0

[command]
name = "cpu1"
command = U,U,D,D,B,F,B,F,a,a
time = 0

[command]
name = "cpu2"
command = U,U,D,D,B,F,B,F,B,b
time = 0

[command]
name = "cpu3"
command = U,U,D,D,B,F,B,F,c,c
time = 0

[command]
name = "cpu4"
command = U,U,D,D,B,F,B,F,x,x
time = 0

[command]
name = "cpu5"
command = U,U,D,D,B,F,B,F,y,y
time = 0

[command]
name = "cpu6"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[command]
name = "cpu7"
command = U,U,D,D,B,F,B,F,a,b
time = 0

[command]
name = "cpu8"
command = U,U,D,D,B,F,B,F,B,c
time = 0

[command]
name = "cpu9"
command = U,U,D,D,B,F,B,F,a,c
time = 0

[command]
name = "cpu10"
command = U,U,D,D,B,F,B,F,x,y
time = 0

[command]
name = "cpu11"
command = U,U,D,D,B,F,B,F,y,z
time = 0

[command]
name = "cpu12"
command = U,U,D,D,B,F,B,F,x,z
time = 0

[command]
name = "cpu13"
command = U,U,D,D,B,F,B,F,a,x
time = 0

[command]
name = "cpu14"
command = U,U,D,D,B,F,B,F,a,y
time = 0

[command]
name = "cpu15"
command = U,U,D,D,B,F,B,F,a,z
time = 0

[command]
name = "cpu16"
command = U,U,D,D,B,F,B,F,B,x
time = 0

[command]
name = "cpu17"
command = U,U,D,D,B,F,B,F,B,y
time = 0

[command]
name = "cpu18"
command = U,U,D,D,B,F,B,F,B,z
time = 0

[command]
name = "cpu19"
command = U,U,D,D,B,F,B,F,c,x
time = 0

[command]
name = "cpu20"
command = U,U,D,D,B,F,B,F,c,y
time = 0

[command]
name = "cpu21"
command = U,U,D,D,B,F,B,F,c,z
time = 0

[command]
name = "cpu22"
command = U,U,D,D,B,F,B,F,x,a
time = 0

[command]
name = "cpu23"
command = U,U,D,D,B,F,B,F,x,b
time = 0

[command]
name = "cpu24"
command = U,U,D,D,B,F,B,F,x,c
time = 0

[command]
name = "cpu25"
command = U,U,D,D,B,F,B,F,y,a
time = 0

[command]
name = "cpu26"
command = U,U,D,D,B,F,B,F,y,b
time = 0

[command]
name = "cpu27"
command = U,U,D,D,B,F,B,F,y,c
time = 0

[command]
name = "cpu28"
command = U,U,D,D,B,F,B,F,z,a
time = 0

[command]
name = "cpu29"
command = U,U,D,D,B,F,B,F,z,b
time = 0

[command]
name = "cpu30"
command = U,U,D,D,B,F,B,F,z,c
time = 0

[command]
name = "cpu31"
command = U,U,D,D,B,F,B,F,s,s,s
time = 0


;-| super motions |--------------------------------------------------------

[command]
name = "arcticattack"
command = ~D, DF, F, x+y

[command]
name = "arcticattack"
command = ~D, DF, F, y+z

[command]
name = "arcticattack"
command = ~D, DF, F, x+y+z

[command]
name = "avalanche"
command = ~D, DF, F, a+b

[command]
name = "avalanche"
command = ~D, DF, F, b+c

[command]
name = "avalanche"
command = ~D, DF, F, a+b+c

;-| special motions |------------------------------------------------------

[command]
name = "icefist"
command = ~D, DB, B, x

[command]
name = "icefist"
command = ~D, DB, B, y

[command]
name = "icefist"
command = ~D, DB, B, z

[command]
name = "icebeamx"
command = ~D, DF, F, x

[command]
name = "icebeamy"
command = ~D, DF, F, y

[command]
name = "icebeamz"
command = ~D, DF, F, z

[command]
name = "boulderxa"
command = x+a

[command]
name = "boulderyb"
command = y+b

[command]
name = "boulderzc"
command = z+c

[command]
name = "superjump"
command = $D, $U

[command]
name = "recoveryroll"
command = ~B, DB, D, a

[command]
name = "recoveryroll"
command = ~B, DB, D, b

[command]
name = "recoveryroll"
command = ~B, DB, D, c

[command]
name = "recoveryroll"
command = ~B, DB, D, x

[command]
name = "recoveryroll"
command = ~B, DB, D, y

[command]
name = "recoveryroll"
command = ~B, DB, D, z


;-| DoUBle tap |-----------------------------------------------------------
[command]
name = "ff"     ;required (do not remove)
command = F, F
time = 10

[command]
name = "bb"     ;required (do not remove)
command = B, B
time = 10

;-| 2/3 button combination |-----------------------------------------------
[command]
name = "recovery";required (do not remove)
command = x+y
time = 1

;-| Dir + button |---------------------------------------------------------
[command]
name = "down_a"
command = /$D,a
time = 1

[command]
name = "down_b"
command = /$D,b
time = 1

;-| single button |---------------------------------------------------------
[command]
name = "a"
command = a
time = 1

[command]
name = "b"
command = b
time = 1

[command]
name = "c"
command = c
time = 1

[command]
name = "x"
command = x
time = 1

[command]
name = "y"
command = y
time = 1

[command]
name = "z"
command = z
time = 1

[command]
name = "start"
command = s
time = 1

;-| hold Dir |--------------------------------------------------------------
[command]
name = "holdfwd";required (do not remove)
command = /$F
time = 1

[command]
name = "holdback";required (do not remove)
command = /$B
time = 1

[command]
name = "holdup" ;required (do not remove)
command = /$U
time = 1

[command]
name = "holddown";required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. state entry
; --------------
; this is where you Define what commands bring you to what states.
;
; each state entry block looks like:
;   [state -1, label]           ;change label to any name you want to Use to
;                               ;identify the state with.
;   type = changestate          ;don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       s, c or a : current state-type of player (stanD, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - Useful For "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                Useful For "move interrupts"
;
; note: the order of state entry is important.
;   state entry with a certain command must come before another state
;   entry with a command that is the sUBset of the First.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see cns Documentation.
;
; just For your information (skip if you're not interested):
; this part is an extension of the cns. "state -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the Following line. it's required by the cmd standard.
[statedef -1]
;===========================================================================
;---------------------------------------------------------------------------
;ai activation
[state -1]
type = varset
triggerall = roundstate = 2
trigger1 = command = "cpu0"
trigger2 = command = "cpu1"
trigger3 = command = "cpu2"
trigger4 = command = "cpu3"
trigger5 = command = "cpu4"
trigger6 = command = "cpu5"
trigger7 = command = "cpu6"
trigger8 = command = "cpu7"
v = 17
value = 1

[state -1]
type = varset
triggerall = roundstate = 2
trigger1 = command = "cpu8"
trigger2 = command = "cpu9"
trigger3 = command = "cpu10"
trigger4 = command = "cpu11"
trigger5 = command = "cpu12"
trigger6 = command = "cpu13"
trigger7 = command = "cpu14"
trigger8 = command = "cpu15"
v = 17
value = 1

[state -1]
type = varset
triggerall = roundstate = 2
trigger1 = command = "cpu16"
trigger2 = command = "cpu17"
trigger3 = command = "cpu18"
trigger4 = command = "cpu19"
trigger5 = command = "cpu20"
trigger6 = command = "cpu21"
trigger7 = command = "cpu22"
trigger8 = command = "cpu23"
v = 17
value = 1

[state -1]
type = varset
triggerall = roundstate = 2
trigger1 = command = "cpu24"
trigger2 = command = "cpu25"
trigger3 = command = "cpu26"
trigger4 = command = "cpu27"
trigger5 = command = "cpu28"
trigger6 = command = "cpu29"
trigger7 = command = "cpu30"
trigger8 = command = "cpu31"
v = 17
value = 1

;===========================================================================
; ai commands

;--------------------------------
; throws
[state -1, throw when p2 is close]
type = changestate
value = ifelse(random <= 499, 800, 830)
triggerall = var(17)
triggerall = !win
triggerall = statetype = s
trigger1 = ctrl
trigger1 = p2bodydist x < 4
trigger1 = p2statetype = s || p2statetype = c
trigger1 = random < 20

; air throw
[state -1, air throw when p2 is close]
type = changestate
value = 870
triggerall = var(17)
triggerall = !win
triggerall = statetype = a
trigger1 = ctrl
trigger1 = p2bodydist x < 4
trigger1 = p2statetype = a
trigger1 = random < 50

; run Forward
[state -1, attack aggresively!]
type = changestate
value = 100
triggerall = var(17)
triggerall = !win
triggerall = statetype = s
triggerall = stateno != 100
trigger1 = ctrl
trigger1 = p2bodydist x >= 100
trigger1 = random <= (150 - ifelse(life < 265, 90, 0))
trigger2 = ctrl
trigger2 = p2movetype = h
trigger2 = random <= 300

;--------------------------------
; air combos
[state -1, First hit]
type = changestate
value = 600
triggerall = var(17)
triggerall = prevstateno = 460 
trigger1 = stateno = 50
trigger1 = p2bodydist y >= -7
trigger1 = p2bodydist x <= 60

[state -1, second hit]
type = changestate
value = 630
triggerall = var(17)
trigger1 = stateno = 600
trigger1 = movehit

[state -1, third hit]
type = changestate
value = 610
triggerall = var(17)
trigger1 = stateno = 630
trigger1 = movehit

[state -1, Fourth hit]
type = changestate
value = 640
triggerall = var(17)
trigger1 = stateno = 610
trigger1 = movehit

[state -1, Finisher]
type = changestate
value = ifelse(random <= 499, 650, ifelse(random <= 499, 655, 620))
triggerall = var(17)
trigger1 = stateno = 640
trigger1 = movehit
trigger1 = (power < 1000) || (random <= 399)

;-------------------------------------------
; ground combos
[state -1, initiate combos with standing jab]
type = changestate
value = 200
triggerall = var(17)
triggerall = statetype = s || statetype = c
trigger1 = p2bodydist x <= 60
trigger1 = ctrl
trigger1 = random <= 25

[state -1, initiate combos with crouching short]
type = changestate
value = 430
triggerall = var(17)
triggerall = statetype = s || statetype = c
trigger1 = p2bodydist x <= 60
trigger1 = ctrl
trigger1 = random <= (10 + ifelse(p2statetype = s, 40, 5))

[state -1, light kick]
type = changestate
value = ifelse(random <= 499, 230, 430)
triggerall = var(17)
trigger1 = stateno = 200
trigger1 = movehit
trigger1 = random <= 499

[state -1, medium punch]
type = changestate
value = ifelse(random <= 499, 210, 410)
triggerall = var(17)
trigger1 = stateno = 200
trigger1 = movehit
trigger1 = random <= 500
trigger2 = stateno = 430 || stateno = 230
trigger2 = movehit
trigger2 = random <= 200

[state -1, medium kick]
type = changestate
value = ifelse(random <= 499, 240, 440)
triggerall = var(17)
trigger1 = stateno = 200 || stateno = 430
trigger1 = movehit
trigger1 = random <= 400
trigger2 = stateno = 210 || stateno = 410
trigger2 = movehit
trigger2 = random <= 300

[state -1, hard punch]
type = changestate
value = ifelse(random <= 499, 220, 420)
triggerall = var(17)
trigger1 = stateno = 200 || stateno = 430
trigger1 = movehit
trigger1 = random <= 100
trigger2 = stateno = 240 || stateno = 440
trigger2 = movehit
trigger2 = random <= 499
trigger3 = stateno = 210 || stateno = 410
trigger3 = movehit
trigger3 = random <= 125
trigger4 = stateno = 230 || stateno = 430
trigger4 = movehit
trigger4 = random <= 125

[state -1, hard kick]
type = changestate
value = ifelse(p2bodydist x >= 30, 250, 450)
triggerall = var(17)
trigger1 = stateno = 200 || stateno = 430
trigger1 = movehit
trigger2 = stateno = 240 || stateno = 440
trigger2 = movehit
trigger3 = stateno = 210 || stateno = 410
trigger3 = movehit
trigger4 = stateno = 230 || stateno = 430
trigger4 = movehit

;-------------------------------------------
; Use ice beam
[state -1, standing Down icebeam]
type = changestate
value = 1000
triggerall = var(17)
triggerall = statetype = s || statetype = c
trigger1 = ctrl
trigger1 = p2bodydist x <= 54
trigger1 = p2statetype = l
trigger1 = p2movetype = h

[state -1, horizontal icebeam]
type = changestate
value = ifelse(statetype = a, 1040, 1010)
triggerall = var(17)
trigger1 = p2bodydist x >= 150
trigger1 = ctrl
trigger1 = p2bodydist y = [-50,50]
trigger1 = random <= 20
trigger2 = stateno = 220 || stateno = 420
trigger2 = movehit
trigger2 = (power < 1000) || (random <= 699)

[state -1, Downward icebeam]
type = changestate
value = 1030
triggerall = var(17)
triggerall = statetype = a
triggerall = !var(26)
trigger1 = ctrl
trigger1 = p2dist x >= 60
trigger1 = (p2dist y >= (p2dist x - 89)) && (p2dist y <= (p2dist x - 29)) 
trigger1 = random <= 175

[state -1, Upward icebeam]
type = changestate
value = ifelse(statetype = a, 1050, 1020)
triggerall = var(17)
triggerall = !var(26)
trigger1 = ctrl
trigger1 = p2dist x >= 60
trigger1 = (p2dist y >= (-(p2dist x) - 119)) && (p2dist y <= (-(p2dist x) - 59))
trigger1 = random <= 175
trigger2 = stateno = 250
trigger2 = movehit
trigger2 = (power < 1000) || (random <= 499)

;--------------------------------
; Use ice boulder
[state -1, ice boulder]
type = changestate
value = ifelse(p2bodydist x <= 177, 1060, ifelse(p2bodydist x >= 210, 1110, 1100))
triggerall = var(17)
triggerall = !var(26)
trigger1 = ctrl
trigger1 = p2bodydist x >= 135
trigger1 = random <= 9

;---------------------------------
; Use ice Fist
[state -1, ice Fist]
type = changestate
value = 1120
triggerall = var(17)
triggerall = statetype != a
triggerall = !var(19)
trigger1 = ctrl
trigger1 = p2bodydist x >= 180
trigger1 = p2movetype != a
trigger1 = random <= 60
trigger2 = p2movetype = h
trigger2 = ctrl
trigger2 = random <= 100

;----------------------------------
; Use air ice projectile
[state -1, air projectile]
type = changestate
value = 625
triggerall = var(17)
triggerall = !var(26)
triggerall = statetype = a
trigger1 = ctrl
trigger1 = p2bodydist x = [0,146]
trigger1 = vel x > 0
trigger1 = random <= 50

;-----------------------------------
; Use arctic attack
[state -1, arctic attack]
type = changestate
value = 2000
triggerall = var(17)
triggerall = power >= 1000
trigger1 = stateno = 640
trigger1 = movehit
trigger2 = stateno = 220 || stateno = 420
trigger2 = movehit
trigger3 = (stateno = 1060) || (stateno = 1100) || (stateno = 1110)
trigger3 = time = 18
trigger3 = random <= 99
trigger4 = ctrl
trigger4 = life <= 265
trigger4 = p2bodydist x >= 210
trigger4 = random <= 22 

;------------------------------------
; Use avalanche
[state -1, avalanche]
type = changestate
value = 2010
triggerall = var(17)
triggerall = power >= 1000
triggerall = statetype != a
trigger1 = stateno = 250
trigger1 = movehit
trigger2 = ctrl
trigger2 = p2bodydist y <= -140
trigger2 = p2movetype = a
trigger2 = random <= 100

[state -1, push block stand]
type = changestate
value = 1230
triggerall = var(17)
trigger1 = stateno = [150,151]
trigger1 = random <= 4

[state -1, push block crouch]
type = changestate
value = 1240
triggerall = var(17)
trigger1 = stateno = [152,153]
trigger1 = random <= 4

[state -1, push block air]
type = changestate
value = 1250
triggerall = var(17)
triggerall = random <= 4
trigger1 = stateno = 154
trigger2 = stateno = 155
trigger2 = time <= 10

;===========================================================================
;---------------------------------------------------------------------------
; arctic attack
[state -1, arctic attack]
type = changestate
value = 2000
triggerall = !var(17)
triggerall = command = "arcticattack"
triggerall = power >= 1000
triggerall = movetype != h
trigger1 = ctrl
trigger2 = stateno = [200,250]
trigger3 = stateno = [400,450]
trigger4 = stateno = [600,650]
trigger5 = stateno = 1060
trigger5 = time > 17
trigger6 = stateno = 1100
trigger6 = time > 17
trigger7 = stateno = 1110
trigger7 = time > 17
trigger8 = stateno = [1000,1050]

;---------------------------------------------------------------------------
; avalanche
[state -1, avalanche]
type = changestate
value = 2010
triggerall = command = "avalanche"
triggerall = power >= 1000
triggerall = movetype != h
triggerall = statetype != a
trigger1 = ctrl
trigger2 = stateno = [200,250]
trigger3 = stateno = [400,450]
trigger4 = stateno = [600,650]
trigger5 = stateno = [1000,1020]

;===========================================================================
;---------------------------------------------------------------------------
; stand ice beam x
[state -1, stand ice beam x]
type = changestate
value = 1000
triggerall = !var(17)
triggerall = command = "icebeamx"
triggerall = statetype = s || statetype = c
trigger1 = ctrl
trigger2 = stateno = [200,250]
trigger3 = stateno = [400,450]

;---------------------------------------------------------------------------
; stand ice beam y
[state -1, stand ice beam y]
type = changestate
value = 1010
triggerall = !var(17)
triggerall = command = "icebeamy"
triggerall = statetype = s || statetype = c
trigger1 = ctrl
trigger2 = stateno = [200,250]
trigger3 = stateno = [400,450]

;---------------------------------------------------------------------------
; stand ice beam z
[state -1, stand ice beam z]
type = changestate
value = 1020
triggerall = !var(17)
triggerall = command = "icebeamz"
triggerall = statetype = s || statetype = c
trigger1 = ctrl
trigger2 = stateno = [200,250]
trigger3 = stateno = [400,450]

;---------------------------------------------------------------------------
; air ice beam x
[state -1, air ice beam x]
type = changestate
value = 1030
triggerall = !var(17)
triggerall = command = "icebeamx"
triggerall = statetype = a
trigger1 = ctrl
trigger2 = stateno = [600,650]
trigger8 = stateno = 625
trigger8 = time > 13

;---------------------------------------------------------------------------
; air ice beam y
[state -1, air ice beam y]
type = changestate
value = 1040
triggerall = !var(17)
triggerall = command = "icebeamy"
triggerall = statetype = a
trigger1 = ctrl
trigger2 = stateno = [600,650]
trigger8 = stateno = 625
trigger8 = time > 13

;---------------------------------------------------------------------------
; air ice beam z
[state -1, air ice beam z]
type = changestate
value = 1050
triggerall = !var(17)
triggerall = command = "icebeamz"
triggerall = statetype = a
trigger1 = ctrl
trigger2 = stateno = [600,650]
trigger8 = stateno = 625
trigger8 = time > 13

;---------------------------------------------------------------------------
; ice boulder towards
[state -1, ice boulder towards]
type = changestate
value = 1060
triggerall = !var(17)
triggerall = command = "boulderxa"
trigger1 = ctrl
trigger2 = stateno = [200,250]
trigger3 = stateno = [400,450]
trigger4 = stateno = [600,650]

;---------------------------------------------------------------------------
; ice boulder Down
[state -1, ice boulder Down]
type = changestate
value = 1100
triggerall = !var(17)
triggerall = command = "boulderyb"
trigger1 = ctrl
trigger2 = stateno = [200,250]
trigger3 = stateno = [400,450]
trigger4 = stateno = [600,650]

;---------------------------------------------------------------------------
; ice boulder away
[state -1, ice boulder away]
type = changestate
value = 1110
triggerall = !var(17)
triggerall = command = "boulderzc"
trigger1 = ctrl
trigger2 = stateno = [200,250]
trigger3 = stateno = [400,450]
trigger4 = stateno = [600,650]

;---------------------------------------------------------------------------
; ice Fist
[state -1, ice Fist]
type = changestate
value = 1120
triggerall = !var(17)
triggerall = command = "icefist"
triggerall = numhelper(555) = 0
trigger1 = statetype = s || statetype = c
trigger1 = ctrl
trigger2 = stateno = [200,250]
trigger3 = stateno = [400,450]

;===========================================================================
;---------------------------------------------------------------------------
; push block (stand)
[state -1]
type = changestate
value = 1230
triggerall = (command = "x" && command = "y") || (command = "y" && command = "z") || (command = "x" && command = "y" && command = "z")
trigger1 = stateno = [150,151]

;push block (crouching)
[state -1]
type = changestate
value = 1240
triggerall = (command = "x" && command = "y") || (command = "y" && command = "z") || (command = "x" && command = "y" && command = "z")
trigger1 = stateno = [152,153]

;push block (aerial)
[state -1]
type = changestate
value = 1250
triggerall = (command = "x" && command = "y") || (command = "y" && command = "z") || (command = "x" && command = "y" && command = "z")
trigger1 = stateno = 154
trigger2 = stateno = 155
trigger2 = time <= 10

;===========================================================================

;---------------------------------------------------------------------------
;run back
[state -1, run back]
type = changestate
value = 105
triggerall = statetype = s
triggerall = ctrl
trigger1 = command = "bb"
trigger2 = command = "holdback"
trigger2 = (command = "x" && command = "y") || (command = "y" && command = "z") || (command = "x" && command = "y" && command = "z")

;---------------------------------------------------------------------------
;run Fwd
[state -1, run Fwd]
type = changestate
value = 100
triggerall = !var(17)
triggerall = stateno != 100
triggerall = statetype = s
triggerall = ctrl
trigger1 = command = "ff"
trigger2 = command = "x" && command = "y"
trigger3 = command = "y" && command = "z"
trigger4 = command = "x" && command = "y" && command = "z"

;---------------------------------------------------------------------------
; super jump
[state -1, superjump]
type = changestate
value = 660
triggerall = statetype = s || statetype = c
triggerall = ctrl
trigger1 = command = "superjump"
trigger2 = command = "a" && command = "b"
trigger3 = command = "b" && command = "c"
trigger4 = command = "a" && command = "b" && command = "c"

;---------------------------------------------------------------------------
; air throw
[state -1, air throw]
type = changestate
value = 870
triggerall = command = "y" || command = "z"
triggerall = statetype = a
triggerall = ctrl
triggerall = stateno != 100
trigger1 = p2bodydist x < 3
trigger1 = (p2statetype = a) 
trigger1 = p2movetype != h
trigger2 = p2bodydist x < 5
trigger2 = (p2statetype = a)
trigger2 = p2movetype != h

;---------------------------------------------------------------------------
;z throw
[state -1, z throw]
type = changestate
value = 800
triggerall = command = "z"
triggerall = statetype = s
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist x < 3
trigger1 = (p2statetype = s) || (p2statetype = c)
trigger1 = p2movetype != h
trigger2 = command = "holdback"
trigger2 = p2bodydist x < 5
trigger2 = (p2statetype = s) || (p2statetype = c)
trigger2 = p2movetype != h

;---------------------------------------------------------------------------
; y throw
[state -1, y throw]
type = changestate
value = 830
triggerall = command = "y"
triggerall = statetype = s
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist x < 3
trigger1 = (p2statetype = s) || (p2statetype = c)
trigger1 = p2movetype != h
trigger2 = command = "holdback"
trigger2 = p2bodydist x < 5
trigger2 = (p2statetype = s) || (p2statetype = c)
trigger2 = p2movetype != h

;===========================================================================
;---------------------------------------------------------------------------
;stand light punch
[state -1, stand light punch]
type = changestate
value = 200
triggerall = !var(17)
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = s
trigger1 = ctrl

;---------------------------------------------------------------------------
;stand medium punch
[state -1, stand medium punch]
type = changestate
value = 210
triggerall = !var(17)
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = s
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 230
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 430
trigger5 = movecontact

;---------------------------------------------------------------------------
; stand hard punch
[state -1, stand hard punch]
type = changestate
value = 220
triggerall = !var(17)
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = s
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 230
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 430
trigger5 = movecontact
trigger6 = stateno = 240
trigger6 = movecontact
trigger7 = stateno = 410
trigger7 = movecontact
trigger8 = stateno = 440
trigger8 = movecontact
trigger9 = stateno = 210
trigger9 = movecontact

;---------------------------------------------------------------------------
;stand light kick
[state -1, stand light kick]
type = changestate
value = 230
triggerall = !var(17)
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = s
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 400
trigger3 = movecontact

;---------------------------------------------------------------------------
;standing medium kick
[state -1, standing medium kick]
type = changestate
value = 240
triggerall = !var(17)
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = s
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 210
trigger3 = movecontact
trigger4 = stateno = 230
trigger4 = movecontact
trigger5 = stateno = 400
trigger5 = movecontact
trigger6 = stateno = 410
trigger6 = movecontact
trigger7 = stateno = 430
trigger7 = movecontact

;---------------------------------------------------------------------------
; standing hard kick
[state -1, standing hard kick]
type = changestate
value = 250
triggerall = !var(17)
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = s
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 230
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 430
trigger5 = movecontact
trigger6 = stateno = 240
trigger6 = movecontact
trigger7 = stateno = 410
trigger7 = movecontact
trigger8 = stateno = 440
trigger8 = movecontact
trigger9 = stateno = 210
trigger9 = movecontact

;---------------------------------------------------------------------------
;taunt
;
[state -1, taunt]
type = null ;changestate
value = 195
triggerall = command = "start"
trigger1 = statetype != a
trigger1 = ctrl

;---------------------------------------------------------------------------
;crouching light punch
[state -1, crouching light punch]
type = changestate
value = 400
triggerall = !var(17)
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = c
trigger1 = ctrl

;---------------------------------------------------------------------------
;crouching medium punch
[state -1, crouching medium punch]
type = changestate
value = 410
triggerall = !var(17)
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = c
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 230
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 430
trigger5 = movecontact

;---------------------------------------------------------------------------
; crouching hard punch
[state -1, crouching hard punch]
type = changestate
value = 420
triggerall = !var(17)
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = c
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 230
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 430
trigger5 = movecontact
trigger6 = stateno = 240
trigger6 = movecontact
trigger7 = stateno = 410
trigger7 = movecontact
trigger8 = stateno = 440
trigger8 = movecontact
trigger9 = stateno = 210
trigger9 = movecontact

;---------------------------------------------------------------------------
;crouching light kick
[state -1, crouching light kick]
type = changestate
value = 430
triggerall = !var(17)
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = c
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 400
trigger3 = movecontact

;---------------------------------------------------------------------------
;crouching medium kick
[state -1, crouching medium kick]
type = changestate
value = 440
triggerall = !var(17)
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = c
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 210
trigger3 = movecontact
trigger4 = stateno = 230
trigger4 = movecontact
trigger5 = stateno = 400
trigger5 = movecontact
trigger6 = stateno = 410
trigger6 = movecontact
trigger7 = stateno = 430
trigger7 = movecontact

;---------------------------------------------------------------------------
; crouching hard kick
[state -1, crouching hard kick]
type = changestate
value = 450
triggerall = !var(17)
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = c
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = stateno = 230
trigger3 = movecontact
trigger4 = stateno = 400
trigger4 = movecontact
trigger5 = stateno = 430
trigger5 = movecontact
trigger6 = stateno = 240
trigger6 = movecontact
trigger7 = stateno = 410
trigger7 = movecontact
trigger8 = stateno = 440
trigger8 = movecontact
trigger9 = stateno = 210
trigger9 = movecontact

;-------------------
; launcher Followup
[state -1, launcher Followup]
type = changestate
value = 460
triggerall = stateno = 450
triggerall = movehit
trigger1 = command = "holdup"
trigger2 = var(17)

;---------------------------------------------------------------------------
;jump light punch
[state -1, jump light punch]
type = changestate
value = 600
triggerall = !(var(17) && var(26))
triggerall = command = "x"
trigger1 = statetype = a
trigger1 = ctrl

;---------------------------------------------------------------------------
;jump medium punch
[state -1, jump medium punch]
type = changestate
value = 610
triggerall = !(var(17) && var(26))
triggerall = command = "y"
trigger1 = statetype = a
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact

;---------------------------------------------------------------------------
; jump Down + hard punch
[state -1, jump Down + hard punch]
type = changestate
value = 625
triggerall = !(var(17) && var(26))
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = a
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact
trigger4 = stateno = 640
trigger4 = movecontact
trigger5 = stateno = 610
trigger5 = movecontact

;---------------------------------------------------------------------------
; jump hard punch
[state -1, jump hard punch]
type = changestate
value = 620
triggerall = !(var(17) && var(26))
triggerall = command = "z"
trigger1 = statetype = a
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact
trigger4 = stateno = 640
trigger4 = movecontact
trigger5 = stateno = 610
trigger5 = movecontact

;---------------------------------------------------------------------------
;jump light kick
[state -1, jump light kick]
type = changestate
value = 630
triggerall = !(var(17) && var(26))
triggerall = command = "a"
trigger1 = statetype = a
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact

;---------------------------------------------------------------------------
;jump medium kick
[state -1, jump medium kick]
type = changestate
value = 640
triggerall = !(var(17) && var(26))
triggerall = command = "b"
trigger1 = statetype = a
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact
trigger4 = stateno = 610
trigger4 = movecontact

;----------------------------------------------------------------------------
; jump Down + hard kick
[state -1, jump Down + hard kick]
type = changestate
value = 655
triggerall = !(var(17) && var(26))
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = a
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact
trigger4 = stateno = 640
trigger4 = movecontact
trigger5 = stateno = 610
trigger5 = movecontact

;-----------------------------------------------------------------------------
; jump hard kick
[state -1, jump hard kick]
type = changestate
value = 650
triggerall = !(var(17) && var(26))
triggerall = command = "c"
trigger1 = statetype = a
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = stateno = 630
trigger3 = movecontact
trigger4 = stateno = 640
trigger4 = movecontact
trigger5 = stateno = 610
trigger5 = movecontact


